#include "handler.h"

#include <string.h>
#include <unistd.h>

void handleSIGINT(int sig)
{
	/*
	 * In so einem signal handler darf man kein printf verwenden.  Das liegt
	 * daran dass printf nicht *reentrant* ist. reentrancy ist die Eigenschaft
	 * dass man eine Funktion, egal ob sie bei ihrer Ausführung unterbrochen
	 * wurde oder nicht, während der Unterbrechung nochmal aufrufen darf.
	 * printf hat intern Buffer und Verwaltungsinformationen und gewährleistet
	 * das nicht. Eine Liste von Funktionen die man in so einem Handler
	 * verwenden darf findet sich unter signal-safety(7).
	 */
	const char buf[] = "nein\n";
	write(STDOUT_FILENO, buf, strlen(buf));
}
